Bug 1080474 - nmcli device wifi list shows wrong unit for rate column
Summary: nmcli device wifi list shows wrong unit for rate column
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jirka Klimes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-25 13:56 UTC by Asko Tontti
Modified: 2016-01-04 06:04 UTC (History)
3 users (show)

Fixed In Version: NetworkManager-0.9.9.0-38.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-22 03:59:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Asko Tontti 2014-03-25 13:56:32 UTC
Description of problem:

NetworkManager shows wrong unit (bytes vs bits) for rates: 54 MB/s. It should be 54 Mb/s or or 54 Mbit/s or 54 Mbps.

Version-Release number of selected component (if applicable):

% rpm -qf =nmcli
NetworkManager-0.9.9.0-28.git20131003.fc20.x86_64

How reproducible:

% nmcli device wifi | grep '\*' | cut -c1-3,10-
*            MODE   CHAN  RATE     SIGNAL  BARS  SECURITY
*            Infra  11    54 MB/s  96      ▂▄▆█  WPA1

Actual results:

*            Infra  11    54 MB/s  96      ▂▄▆█  WPA1

Expected results:

*            Infra  11    54 Mbps  96      ▂▄▆█  WPA1

Comment 1 Jirka Klimes 2014-04-01 13:22:42 UTC
Thanks for pointing to this.

Changes pushed to upstream master:
cb80daa po: fix "MB/s" -> "Mbit/s"
b3cbb26 man: use correct Mbit/s for maximum bitrate in nmcli-examples
7211d82 examples: use correct Mbit/s for bitrates
c1e5493 nmcli: use correct Mbit/s units for maximal bitrate (rh #1080474)
7592366 trivial: make clear the maximum bitrate is in kbit/s

Comment 2 Fedora Update System 2014-04-08 20:12:46 UTC
NetworkManager-0.9.9.0-34.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-34.git20131003.fc20

Comment 3 Fedora Update System 2014-04-09 13:24:13 UTC
Package NetworkManager-0.9.9.0-34.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-34.git20131003.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4964/NetworkManager-0.9.9.0-34.git20131003.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-04-10 09:29:02 UTC
NetworkManager-0.9.9.0-35.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-35.git20131003.fc20

Comment 5 Fedora Update System 2014-04-14 14:51:00 UTC
NetworkManager-0.9.9.0-36.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-36.git20131003.fc20

Comment 6 Fedora Update System 2014-04-15 11:57:25 UTC
NetworkManager-0.9.9.0-37.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-37.git20131003.fc20

Comment 7 Fedora Update System 2014-04-17 16:41:53 UTC
NetworkManager-0.9.9.0-38.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-38.git20131003.fc20

Comment 8 Fedora Update System 2014-04-22 03:59:45 UTC
NetworkManager-0.9.9.0-38.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Asko Tontti 2014-04-22 16:56:37 UTC
thanks


Note You need to log in before you can comment on or make changes to this bug.